Name | Type | Default |
cookies
|
Boolean
|
false
|
Enables or disables the cookies. If the cookies are enabled then the docking layout is going to be saved and kept every time the page is being reloaded.
<template> <JqxDocking ref="myDocking" :cookies="true"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the cookies property. let cookies = this.$refs.myDocking.cookies;
|
cookieOptions
|
Object
|
{}
|
Sets or gets the cookie options.
<template> <JqxDocking ref="myDocking" :cookies="true" :cookieOptions='{ domain: 'jqwidgets.com', expires: 90 }'> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the cookieOptions property. let cookieOptions = this.$refs.myDocking.cookieOptions;
|
disabled
|
Boolean
|
false
|
Sets or gets whether the docking is disabled.
<template> <JqxDocking ref="myDocking" :disabled="true"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the disabled property. let disabled = this.$refs.myDocking.disabled;
|
floatingWindowOpacity
|
Number
|
0.3
|
Sets or gets the opacity of the window which is currently dragged by the user.
<template> <JqxDocking ref="myDocking" :floatingWindowOpacity="0.4"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the floatingWindowOpacity property. let floatingWindowOpacity = this.$refs.myDocking.floatingWindowOpacity;
|
height
|
Number | String
|
auto
|
Sets or gets the docking's height.
<template> <JqxDocking ref="myDocking" :height="300"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the height property. let height = this.$refs.myDocking.height;
|
keyboardNavigation
|
Boolean
|
false
|
Enables or disables the jqxDocking's keyboard navigation.
<template> <JqxDocking ref="myDocking" :keyboardNavigation="true"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the keyboardNavigation property. let keyboardNavigation = this.$refs.myDocking.keyboardNavigation;
|
mode
|
String
|
default
|
Sets or gets docking's mode.
Possible Values:
'default'-the user can drop every window inside any docking panel or outside the docking panels
'docked'-the user can drop every window just into the docking panels
'floating'-the user can drop any window just outside of the docking panels.
<template> <JqxDocking ref="myDocking" :mode="'docked'" :width="200"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the mode property. let mode = this.$refs.myDocking.mode;
|
orientation
|
String
|
horizontal
|
Sets or gets docking's orientation. This property is setting whether the panels are going to be side by side or below each other.
<template> <JqxDocking ref="myDocking" :orientation="'horizontal'"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the orientation property. let orientation = this.$refs.myDocking.orientation;
|
rtl
|
Boolean
|
false
|
Sets ot gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxDocking ref="myDocking" :rtl="true"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the rtl property. let rtl = this.$refs.myDocking.rtl;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxDocking ref="myDocking" :theme="'material'"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
|
width
|
Number | String
|
auto
|
Sets or gets the docking's width.
<template> <JqxDocking ref="myDocking" :width="300"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the width property. let width = this.$refs.myDocking.width;
|
windowsMode
|
Object
|
null
|
Sets ot gets specific mode for each window. The value of the property is object with keys - window's ids and values - specific modes.
<template> <JqxDocking ref="myDocking" :width="400" :windowsMode="windowsMode"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, data: function () { return { windowsMode: { 'window1': 'floating', 'window2': 'docked' }
Get the windowsMode property. let windowsMode = this.$refs.myDocking.windowsMode;
|
windowsOffset
|
Number
|
5
|
Sets or gets the offset between the windows.
<template> <JqxDocking ref="myDocking" :windowsOffset="7"> <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue';
Get the windowsOffset property. let windowsOffset = this.$refs.myDocking.windowsOffset;
|
|
dragStart
|
Event
|
|
This event is triggered when the user start to drag any window.
Code examples
Bind to the dragStart event of jqxDocking.
<template> <JqxDocking ref="myDocking" @dragStart="onDragStart($event)" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, methods: { onDragStart: function (event) { alert( 'do something...');
|
dragEnd
|
Event
|
|
This event is triggered when the user drop any window.
Code examples
Bind to the dragEnd event of jqxDocking.
<template> <JqxDocking ref="myDocking" @dragEnd="onDragEnd($event)" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, methods: { onDragEnd: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
addWindow
|
windowId, mode, panel, position
|
None
|
Adding new window to the docking. This method accepts four arguments. The first one is id of the window we wish to add to the docking. The second argument is window's mode (default, docked, floating) the third argument is the panel's number and the last one is the position into the panel. The last three arguments are optional.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1</div> <div>Content 1 </div> </div> <div id="window2"> <div>Header 2 </div> <div>Content 2 </div> </div> <div id="window3"> <div>Header 3 </div> <div>Content 3 </div> </div> </div> <div> <div id="window4"> <div>Header 4 </div> <div>Content 4 </div> </div> </div> </JqxDocking> </div></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxDocking, JqxButton }, methods: { onClick() { this.$refs.myDocking.addWindow( 'window3', 'default', 1, 1);
|
closeWindow
|
windowId
|
None
|
Closing specific window.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.closeWindow( 'window1');
|
collapseWindow
|
windowId
|
None
|
Collapsing a specific window.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.collapseWindow( 'window1');
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.destroy();
|
disableWindowResize
|
windowId
|
None
|
Disabling the resize of a specific window.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.disableWindowResize( 'window1');
|
disable
|
None
|
None
|
Disabling the jqxDocking.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.disable();
|
exportLayout
|
None
|
String
|
Exporting docking's layout into a JSON string.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" > <div> <div id="window1" style="width: 340px;"> <div>Header 1</div> <div>Content 1 </div> </div> <div id="window2" style="width: 340px;"> <div>Header 2 </div> <div>Content 2 </div> </div> </div> <div> <div id="window3" style="width: 340px;"> <div>Header 3 </div> <div>Content 3 </div> </div> <div id="window4" style="width: 340px;"> <div>Header 4 </div> <div>Content 4 </div> </div> </div> </JqxDocking> <div id="info"></div> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxDocking, JqxButton }, methods: { onClick() { let layout = this.$refs.myDocking.exportLayout(); document.getElementById( 'info').innerText = layout;
|
enable
|
None
|
None
|
Enabling the docking
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" :disabled="true" > <div> <div id="window1" style="width: 340px;"> <div>Header 1 </div> <div>Content 1 </div> </div> <div id="window2" style="width: 340px;"> <div>Header 2 </div> <div>Content 2 </div> </div> </div> </JqxDocking> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxDocking, JqxButton }, methods: { onClick() { this.$refs.myDocking.enable();
|
expandWindow
|
windowId
|
None
|
Expanding a specific window.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" :width="340" :orientation="'horizontal'" > <div> <div id="window1" style="width: 340px;"> <div>Header 1 </div> <div>Content 1 </div> </div> <div id="window2" style="width: 340px;"> <div>Header 2 </div> <div>Content 2 </div> </div> </div> </JqxDocking> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxDocking, JqxButton }, mounted: function() { this.$refs.myDocking.collapseWindow( 'window1'); }, methods: { onClick() { this.$refs.myDocking.expandWindow( 'window1');
|
enableWindowResize
|
windowId
|
None
|
Enabling the resize of a specific window which is not docked into a panel.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" :width="340" :orientation="'horizontal'" :windowsMode="windowsMode" > <div> <div ref="window1" id="window1" style="width: 340px;"> <div>Header 1 </div> <div>You cannot resize that window. </div> </div> <div id="window2" style="width: 340px;"> <div>Header 2 </div> <div>Content 2 </div> </div> </div> </JqxDocking> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue"; export default { components: { JqxDocking, JqxButton }, data: function() { return { windowsMode: { window1: "floating", window2: "docked" } }; }, mounted: function() { this.$refs.myDocking.disableWindowResize( 'window1'); }, methods: { onClick() { this.$refs.myDocking.enableWindowResize( 'window1'); this.$refs.window1.children[0].children[1].innerText = "You can resize that window";
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.focus();
|
hideAllCloseButtons
|
None
|
None
|
Hiding the close buttons of all windows.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.hideAllCloseButtons();
|
hideAllCollapseButtons
|
None
|
None
|
Hiding the collapse buttons of all windows.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" :width="340" :orientation="'horizontal'" > <div> <div id="window1" style="width: 340px;"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2" style="width: 340px;"> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDocking, JqxButton }, mounted: function() { this.$refs.myDocking.showAllCollapseButtons(); }, methods: { onClick() { this.$refs.myDocking.hideAllCollapseButtons();
|
hideCollapseButton
|
windowId
|
None
|
Hiding the collapse button of a specific window.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" :width="340" :orientation="'horizontal'" > <div> <div id="window1" style="width: 340px;"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2" style="width: 340px;"> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDocking, JqxButton }, mounted: function() { this.$refs.myDocking.showCollapseButton( 'window1'); }, methods: { onClick() { this.$refs.myDocking.hideCollapseButton( 'window1');
|
hideCloseButton
|
windowId
|
None
|
Hiding the close button of a specific window.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.hideCloseButton( 'window1');
|
importLayout
|
Json
|
None
|
Importing the docking layout from a JSON string.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" :width="340" :orientation="'horizontal'" :mode="'default'" :windowsMode="windowsMode" > <div> <div id="window1" style="width: 340px;"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2" style="width: 340px;"> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDocking, JqxButton }, data: function () { return { windowsMode: { 'window1': 'floating', 'window2': 'docked' } } }, mounted: function() { this.$refs.myDocking.move( 'window1', 100, 100); }, methods: { onClick() { let layoutStructure = { "panel0": { "window1": { "collapsed": true } }, "panel1": { "window2": { "collapsed": false } } }; this.$refs.myDocking.importLayout(JSON.stringify(layoutStructure));
|
move
|
windowId, panel, position
|
None
|
Moving window to specific position into specific panel. This method have three parameters. The first one is id of the window we want to move, the second one is number of the panel where we want to move our window and the last one is the position into this panel.
<template> <JqxDocking ref="myDocking" :width="340" :windowsMode="windowsMode" > <div> <div id="window1" style="width: 300px;"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, data: function () { return { windowsMode: { 'window1': 'floating', 'window2': 'docked' } } }, mounted: function () { this.$refs.myDocking.move( 'window1', 100, 100);
|
pinWindow
|
windowId
|
None
|
Pinning a specific window
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.pinWindow( 'window2');
|
setWindowMode
|
windowId, mode
|
None
|
Setting mode to a specific window. This method accepts two arguments - window id and mode type.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.setWindowMode( 'window2','default');
|
showCloseButton
|
windowId
|
None
|
Showing the close button of a specific window.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1... </div> </div> <div> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking> </div></template> <script>import JqxDocking from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue"; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDocking, JqxButton }, mounted: function() { this.$refs.myDocking.hideAllCloseButtons(); }, methods: { onClick() { this.$refs.myDocking.showCloseButton( "window1");
|
showCollapseButton
|
windowId
|
None
|
Showing the collapse button of a specific window.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.showCollapseButton( 'window1');
|
setWindowPosition
|
windowId, top, left
|
None
|
Moving window in floating mode to a specific position.
<template> <JqxDocking ref="myDocking" :width="340" :windowsMode="windowsMode" > <div> <div id="window1" style="width: 300px;"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, data: function () { return { windowsMode: { 'window1': 'floating', 'window2': 'docked' } } }, mounted: function () { this.$refs.myDocking.setWindowPosition( 'window1', 170, 240);
|
showAllCloseButtons
|
None
|
None
|
Showing the close buttons of all windows.
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="18">Click</JqxButton> <br/> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1... </div> </div> <div> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking> </div></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDocking, JqxButton }, mounted: function () { this.$refs.myDocking.hideAllCloseButtons(); }, methods: { onClick() { this.$refs.myDocking.showAllCloseButtons();
|
showAllCollapseButtons
|
None
|
None
|
Showing the collapse buttons of all windows.
<template> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1...</div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; export default { components: { JqxDocking }, mounted: function () { this.$refs.myDocking.showAllCollapseButtons();
|
unpinWindow
|
windowId
|
None
|
Unpinning a specific window
<template> <div> <JqxButton @click="onClick($event)" :width="60" :height="20">Unpin</JqxButton> <br/> <JqxDocking ref="myDocking" > <div> <div id="window1"> <div>Header 1...</div> <div>Content 1... </div> </div> <div> <div>Header 2... </div> <div>Content 2... </div> </div> </div> </JqxDocking> </div></template> <script> import JqxDocking from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdocking.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxDocking, JqxButton }, mounted: function () { this.$refs.myDocking.pinWindow( 'window1'); }, methods: { onClick() { this.$refs.myDocking.unpinWindow( 'window1');
|

Name | Type | Default |
cookies
|
boolean
|
false
|
Enables or disables the cookies. If the cookies are enabled then the docking layout is going to be saved and kept every time the page is being reloaded.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} cookies={true}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
cookieOptions
|
DockingCookieOptions
|
{}
|
Interface DockingCookieOptions { domain?: string; expires?: number; }
Sets or gets the cookie options.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} cookies={true} cookieOptions={{ domain: 'jqwidgets.com', expires: 90 }}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the docking is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} disabled={true}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
floatingWindowOpacity
|
number
|
0.3
|
Sets or gets the opacity of the window which is currently dragged by the user.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} floatingWindowOpacity={0.4}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
number | string
|
auto
|
Sets or gets the docking's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} height={300}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
keyboardNavigation
|
boolean
|
false
|
Enables or disables the jqxDocking's keyboard navigation.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} keyboardNavigation={true}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
mode
|
DockingMode
|
default
|
DockingMode: "default" | "docked" | "floating"
Sets or gets docking's mode.
Possible Values:
'default'-the user can drop every window inside any docking panel or outside the docking panels
'docked'-the user can drop every window just into the docking panels
'floating'-the user can drop any window just outside of the docking panels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} mode={ 'docked'} width={200}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
orientation
|
DockingOrientation
|
horizontal
|
DockingOrientation: "horizontal" | "vertical"
Sets or gets docking's orientation. This property is setting whether the panels are going to be side by side or below each other.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} orientation={ 'horizontal'}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets ot gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} rtl={true}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} theme={ 'material'}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
number | string
|
auto
|
Sets or gets the docking's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} width={300}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
windowsMode
|
object
|
null
|
Sets ot gets specific mode for each window. The value of the property is object with keys - window's ids and values - specific modes.
|
windowsOffset
|
number
|
5
|
Sets or gets the offset between the windows.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} windowsOffset={7}> <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
dragStart
|
Event
|
|
This event is triggered when the user start to drag any window.
Code examples
Bind to the dragStart event of jqxDocking.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} onDragStart={this.onDragStart} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } private onDragStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragEnd
|
Event
|
|
This event is triggered when the user drop any window.
Code examples
Bind to the dragEnd event of jqxDocking.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public render() { return ( <JqxDocking ref={this.myDocking} onDragEnd={this.onDragEnd} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } private onDragEnd(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
addWindow
|
windowId, mode, panel, position
|
|
Adding new window to the docking. This method accepts four arguments. The first one is id of the window we wish to add to the docking. The second argument is window's mode (default, docked, floating) the third argument is the panel's number and the last one is the position into the panel. The last three arguments are optional.
|
closeWindow
|
windowId
|
|
Closing specific window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.closeWindow( 'window1'); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
collapseWindow
|
windowId
|
|
Collapsing a specific window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.collapseWindow( 'window1'); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.destroy(); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disableWindowResize
|
windowId
|
|
Disabling the resize of a specific window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.disableWindowResize( 'window1'); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disabling the jqxDocking.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.disable(); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
exportLayout
|
None
|
|
Exporting docking's layout into a JSON string.
|
enable
|
None
|
|
|
expandWindow
|
windowId
|
|
Expanding a specific window.
|
enableWindowResize
|
windowId
|
|
Enabling the resize of a specific window which is not docked into a panel.
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.focus(); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hideAllCloseButtons
|
None
|
|
Hiding the close buttons of all windows.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.hideAllCloseButtons(); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hideAllCollapseButtons
|
None
|
|
Hiding the collapse buttons of all windows.
|
hideCollapseButton
|
windowId
|
|
Hiding the collapse button of a specific window.
|
hideCloseButton
|
windowId
|
|
Hiding the close button of a specific window.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.hideCloseButton( 'window1'); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
importLayout
|
Json
|
|
Importing the docking layout from a JSON string.
|
move
|
windowId, panel, position
|
|
Moving window to specific position into specific panel. This method have three parameters. The first one is id of the window we want to move, the second one is number of the panel where we want to move our window and the last one is the position into this panel.
|
pinWindow
|
windowId
|
|
Pinning a specific window
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.pinWindow( 'window2'); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setWindowMode
|
windowId, mode
|
|
Setting mode to a specific window. This method accepts two arguments - window id and mode type.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.setWindowMode( 'window2','default'); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showCloseButton
|
windowId
|
|
Showing the close button of a specific window.
|
showCollapseButton
|
windowId
|
|
Showing the collapse button of a specific window.
|
setWindowPosition
|
windowId, top, left
|
|
Moving window in floating mode to a specific position.
|
showAllCloseButtons
|
None
|
|
Showing the close buttons of all windows.
|
showAllCollapseButtons
|
None
|
|
Showing the collapse buttons of all windows.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxDocking, { IDockingProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdocking'; class App extends React.PureComponent<{}, IDockingProps> { private myDocking = React.createRef<JqxDocking>(); public componentDidMount(): void { this.myDocking.current!.showAllCollapseButtons(); } public render() { return ( <JqxDocking ref={this.myDocking} > <div> <div id="window1"> <div>Header 1... </div> <div>Content 1... </div> </div> <div id="window2"> <div>Header 2... </div> <div>Content 2... </div> </div> <div> <div>Header 3... </div> <div>Content 3... </div> </div> </div> </JqxDocking> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
unpinWindow
|
windowId
|
|
Unpinning a specific window
|

Name | Type | Default |
cookies
|
Boolean
|
false
|
Sets or gets the cookies property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [cookies]="true"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
cookieOptions
|
DockingCookieOptions
|
{}
|
interface DockingCookieOptions { domain?: String; expires?: Number; } Sets or gets the cookieOptions property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [cookies]="true" [cookieOptions]='{ domain: 'jqwidgets.com', expires: 90 }'> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [disabled]="true"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
floatingWindowOpacity
|
Number
|
0.3
|
Sets or gets the floatingWindowOpacity property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [floatingWindowOpacity]="0.4"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
height
|
Size
|
auto
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [height]="300"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
keyboardNavigation
|
Boolean
|
false
|
Sets or gets the keyboardNavigation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [keyboardNavigation]="true"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
mode
|
enum:DockingMode
|
default
|
enum DockingMode { default, docked, floating } Sets or gets the mode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [mode]="'docked'"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
orientation
|
enum:DockingOrientation
|
horizontal
|
enum DockingOrientation { horizontal, vertical } Sets or gets the orientation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [orientation]="'horizontal'"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [rtl]="true"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [theme]="'energyblue'"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
width
|
Size
|
auto
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [width]="300"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
windowsMode
|
DockingWindowsMode
|
null
|
interface DockingWindowsMode { windowID: DockingMode; } Sets or gets the windowsMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [windowsMode]='{ 'window0': 'floating', 'window1': 'docked' }'> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
windowsOffset
|
Number
|
5
|
Sets or gets the windowsOffset property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking [windowsOffset]="7"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent {
|
|
dragStart
|
Event
|
|
This event is triggered when the user start to drag any window.
Code examples
Bind to the dragStart event of jqxDocking.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking (onDragStart)="DragStart($event)"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent { DragStart(event: any): void
|
dragEnd
|
Event
|
|
This event is triggered when the user drop any window.
Code examples
Bind to the dragEnd event of jqxDocking.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking (onDragEnd)="DragEnd($event)"> <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent { DragEnd(event: any): void
|
|
Name | Return Type | Arguments |
addWindow
|
Void
|
windowId: String, mode: Any, panel: Number, position: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.addWindow();
|
closeWindow
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.closeWindow();
|
collapseWindow
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.collapseWindow();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.destroy();
|
disableWindowResize
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.disableWindowResize();
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.disable();
|
exportLayout
|
String
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { let value = this.myDocking.exportLayout();
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent;
|
expandWindow
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.expandWindow();
|
enableWindowResize
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.enableWindowResize();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent;
|
hideAllCloseButtons
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.hideAllCloseButtons();
|
hideAllCollapseButtons
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.hideAllCollapseButtons();
|
hideCollapseButton
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.hideCollapseButton();
|
hideCloseButton
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.hideCloseButton();
|
importLayout
|
Void
|
Json: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.importLayout();
|
move
|
Void
|
windowId: String, panel: Number, position: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent;
|
pinWindow
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.pinWindow();
|
setWindowMode
|
Void
|
windowId: String, mode: Any
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.setWindowMode();
|
showCloseButton
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.showCloseButton();
|
showCollapseButton
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.showCollapseButton();
|
setWindowPosition
|
Void
|
windowId: String, top: Any, left: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.setWindowPosition();
|
showAllCloseButtons
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.showAllCloseButtons();
|
showAllCollapseButtons
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.showAllCollapseButtons();
|
unpinWindow
|
Void
|
windowId: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxDocking #myDocking > <div> <div id="window0" style="height: 150px"> <div>CISC</div> <div> Before the RISC philosophy became prominent..... </div> </div> <div id="window1" style="height: 150px"> <div>Database management system </div> <div> A database management system (DBMS) is a software... </div> </div> </div> <div> <div id="window2" style="height: 150px"> <div>RISC </div> <div> Some aspects attributed to the first RISC-labeled designs.... </div> </div> </div> </jqxDocking> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myDocking') myDocking: jqxDockingComponent; ngAfterViewInit(): void { this.myDocking.unpinWindow();
|